%define name piklab
%define version 0.13.0
%define release %mkrel 4

Summary: Piklab is an IDE for applications based on PIC microcontrollers
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Patch0: piklab-0.13.0-remove-fr-comment.patch
License: GPL
Group: Development/Other
Url: http://piklab.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: kdebase-devel
BuildRequires: ImageMagick ncurses-devel
BuildRequires: libusb-devel libreadline-devel

%description
Piklab is an integrated development environment for applications based on 
PIC microcontrollers. Gputils tools are used for assembling. Microchip 
programmers and several direct programmers are supported.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p0

%build

%configure --disable-rpath --with-qt-libraries=$QTDIR/%{_lib}

make

%install
rm -rf %{buildroot}
%makeinstall

mkdir -p %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir} %{buildroot}%{_liconsdir}
convert -resize 16x16 piklab.xpm %{buildroot}%{_miconsdir}/%name.png
convert -resize 32x32 piklab.xpm %{buildroot}%{_iconsdir}/%name.png
convert -resize 48x48 piklab.xpm %{buildroot}%{_liconsdir}/%name.png

%find_lang %{name}
%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(755,root,root)
%{_bindir}/*
%defattr(644,root,root,755)
%{_datadir}/apps/%{name}
%{_datadir}/applications/kde/piklab.desktop
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/mimelnk/application/x-piklab.desktop
%{_datadir}/apps/katepart/syntax/*
%_docdir/HTML/en/%name
%{_miconsdir}/%name.png
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png


%changelog
* Sat Sep 01 2007 Funda Wang <fundawang@mandriva.org> 0.13.0-4mdv2008.0
+ Revision: 77295
- remove wrong fr comment of menu entry


* Wed Feb 07 2007 Lenny Cartier <lenny@mandriva.com> 0.13.0-3mdv2007.0
+ Revision: 117078
- Buildrequires
- Buildrequires
- Update to 0.13.0
- Import piklab

* Fri Oct 13 2006 Lenny Cartier <lenny@mandriva.com> 0.12.0-1mdv2007.1
- 0.12

* Thu Aug 24 2006 Lenny Cartier <lenny@mandriva.com> 0.11.0-1mdv2007.0
- 0.11.0b

* Thu Jul 13 2006 Lenny Cartier <lenny@mandriva.com> 0.10.0-1mdv2007.0
- 0.10.0

* Sun May 14 2006 Couriousous <couriousous@mandriva.org> 0.8.0-1mdk
- 0.8.0

* Sun May 07 2006 Couriousous <couriousous@mandriva.org> 0.7.0-2mdk
- Fix #22320

* Sat Apr 29 2006 Lenny Cartier <lenny@mandriva.com> 0.7.0-1mdk
- 0.7.0

* Sun Apr 16 2006 Couriousous <couriousous@mandriva.org> 0.6.1-1mdk
- 0.6.1
- Renamed to piklab ?!

* Sun Jul 17 2005 Couriousous <couriousous@mandriva.org> 0.1-1mdk
- First Mandriva release

